org.apache.mina.api

## Interface IoFuture<V>

All Superinterfaces:
  Future<V>

All Known Implementing Classes:
  AbstractIoFuture, ConnectFuture, DefaultWriteFuture

    public interface IoFuture<V>
    extends Future<V>

A simple extension that allows listeners to register and receive results asynchronously via registered listeners. The listeners will be called from an event pool and so any amount of significant work should not be done in this listener.

Author:
  Apache MINA Project

### Method Summary

Methods
`IoFuture<V>` `register(IoFutureListener<V> listener)` Register a listener to asynchronously receive the results of the future computation.

### Methods inherited from interface java.util.concurrent.Future

`cancel, get, get, isCancelled, isDone`

### Method Detail

#### register

    IoFuture<V> register(IoFutureListener<V> listener)

Register a listener to asynchronously receive the results of the future computation.

Parameters:
  `listener` - the listener to asynchronously receive the results of the future computation
Returns:
  the instance of the future to allow "chaining" of registrations